/***************************************************************************
 *   Copyright (C) 2005 by Daniel Stöckel                                  *
 *   the_docter@gmx.net                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "commandobutton.h"

#include <krun.h>

/*
 * Implementation CommandoButton
 */
CommandoButton::CommandoButton(TQWidget* parent, unsigned short rad)
    : RoundButton(parent,rad)
{
}

Menu* CommandoButton::execute( )
{
    KRun::runCommand(command());
    return NULL;
}

/*
 * Implementation SubmenuButton
 */

Menu * SubmenuButton::execute( )
{
    return subMenu();
}

SubmenuButton::SubmenuButton( TQWidget * parent,unsigned short rad)
    :RoundButton(parent,rad)
{
}

SubmenuButton::SubmenuButton( TQWidget * parent, Menu * submenu, unsigned short rad)
    :RoundButton(parent,rad),mSubMenu(submenu)
{
}

/*void SubmenuButton::setIcon( TQString path )
{
    mIconPath=path;
    icon=MainBarIcon(path,radius*2);  //This line sometimes prints: "*** attempt to put segment in horiz list twice"
    TQPixmap overlay = MainBarIcon("kommando_overlay",radius*2);
    TQImage temp1(icon.convertToImage());
    TQImage temp2(overlay.convertToImage());
    TDEIconEffect::overlay(temp1,temp2);
    icon.convertFromImage(temp1);
    setPixmap(icon);
    setMask(icon.createHeuristicMask());
}*/

#include "commandobutton.moc"
